#include <iostream>
#include <stdio.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    long nizz[n];
    double nizp[n], p, m, m1 = 0.0;

    for(int i = 0; i < n; i++)
    {
        cin>>nizz[i];
        cin>>nizp[i];
        nizp[i] /= 100;
    }


    for(int i = 0; i < n; i++)
    {
        p = nizp[i];
        m = 0;
        for(int j = 0; j < n; j++)
        {
            if(nizp[j] >= p)
                m += nizz[j]*p;
        }
        if(m1 < m)
            m1 = m;
    }
    printf("%f", m1);

}